Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class XmlInstance

    java.lang.Object
      |
      +--com.sun.wbem.cim.XmlNameSpace
            |
            +--com.sun.wbem.cim.XmlGenericId
                  |
                  +--com.sun.wbem.cim.XmlElement
                        |
                        +--com.sun.wbem.cim.XmlInstance

public class XmlInstance
extends com.sun.wbem.cim.XmlElement

Since:
  WBEM 1.0
See Also:
  Serialized Form

Fields inherited from class com.sun.wbem.cim.XmlGenericId
`CIM, CLASS, CLASSNAME, CLASSPATH, DECLARATION, DECLGROUP, DECLGROUP_WITHNAME, DECLGROUP_WITHPATH, ERROR, HOST, IMETHODCALL, IMETHODRESPONSE, INSTANCE, INSTANCENAME, INSTANCEPATH, IPARAMVALUE, IRETURNVALUE, KEYBINDING, KEYVALUE, LOCALCLASSPATH, LOCALINSTANCEPATH, LOCALNAMESPACEPATH, MESSAGE, METHOD, METHODCALL, METHODRESPONSE, MULTIREQ, MULTIRSP, NAMESPACE, NAMESPACEPATH, OBJECTPATH, PARAMETER, PARAMETER_ARRAY, PARAMETER_REFARRAY, PARAMETER_REFERENCE, PARAMVALUE, PROPERTY, PROPERTY_ARRAY, PROPERTY_REFERENCE, QUALIFIER, QUALIFIER_DECLARATION, RETURNVALUE, SCOPE, SIMPLEREQ, SIMPLERSP, TOXML, VALUE, VALUE_ARRAY, VALUE_NAMEDINSTANCE, VALUE_NAMEDOBJECT, VALUE_OBJECT, VALUE_OBJECTWITHLOCALPATH, VALUE_OBJECTWITHPATH, VALUE_REFARRAY, VALUE_REFERENCE`

Constructor Summary
`XmlInstance()` This class provides methods for creating well-formed XML instances and fragments.
`XmlInstance(java.lang.String host)`

Method Summary
`java.lang.String` | `cimClass(CIMClass cc)`
`java.lang.String` | `className(java.lang.String name)`
`java.lang.String` | `getCIMType(CIMDataType cdt)`
`boolean` | `getIncludeClassOrigin()`
`boolean` | `getIncludeQualifiers()`
`java.lang.String[]` | `getPropertyList()`
`java.lang.String` | `instance(CIMInstance ci)`
`java.lang.String` | `instanceName(CIMInstance ci)`
`java.lang.String` | `instanceName(CIMObjectPath cop)`
`java.lang.String` | `localNameSpacePath(CIMNameSpace cns)`
`java.lang.String` | `localNameSpacePath(CIMObjectPath cop)`
`java.lang.String` | `localNameSpacePath(java.lang.String ns)`
`java.lang.String` | `localObjectPath(CIMObjectPath cop)`
`java.lang.String` | `object(java.lang.Object obj)`
`java.lang.String` | `objectName(CIMObjectPath cop)`
`java.lang.String` | `objectPath(CIMObjectPath cop)`
`com.sun.xml.tree.XmlDocument` | `pcdata2Xml(java.lang.String pcdata)`
`java.lang.String` | `qualifierDeclaration(CIMQualifierType qt)`
`java.lang.String` | `root(java.lang.String body)`
`void` | `setCIMName(java.lang.String name)`
`void` | `setIncludeClassOrigin(boolean include)`
`void` | `setIncludeQualifiers(boolean include)`
`void` | `setPropertyList(java.lang.String[] list)`
`java.lang.String` | `toXml(java.lang.Object obj)` Returns a well-formed XML instance representing `obj`.
`java.lang.String` | `toXml(java.lang.Object obj, CIMObjectPath cop)` Returns a well-formed XML instance representing `obj`.
`java.lang.String` | `toXml(java.lang.Object obj, CIMObjectPath cop, java.lang.String host)` Returns a well-formed XML instance representing `obj`.
`java.lang.String` | `value(boolean value)`
`java.lang.String` | `value(CIMProperty cp)`
`java.lang.String` | `value(CIMValue cv)`
`java.lang.String` | `value(java.lang.String pcdata)`
`java.lang.String` | `value(java.lang.String[] pcdata)`
`java.lang.String` | `valueNamedInstance(CIMInstance ci)`
`java.lang.String` | `valueNamedInstance(CIMObjectPath name, CIMInstance ci)`
`java.lang.String` | `valueNamedObject(java.lang.Object obj)`
`java.lang.String` | `valueObjectWithPath(java.lang.Object obj)`
`java.lang.String` | `xml2Pcdata(com.sun.xml.tree.XmlDocument doc)`

Methods inherited from class com.sun.wbem.cim.XmlElement
`etag, etag, getBooleanValue, getFirstChildElement, getShowImplied, getStringValue, otag, setAttr, setShowImplied, stag`

Methods inherited from class com.sun.wbem.cim.XmlNameSpace
`getName, getPublicId, getSystemId, setName, setPublicId, setSystemId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlInstance

    public XmlInstance()

  This class provides methods for creating well-formed XML instances and fragments. It uses elements and content models defined by the Distributed Management Task Force.

### XmlInstance

    public XmlInstance(java.lang.String host)

Method Detail

### getIncludeQualifiers

    public boolean getIncludeQualifiers()

### getIncludeClassOrigin

    public boolean getIncludeClassOrigin()

### setIncludeQualifiers

    public void setIncludeQualifiers(boolean include)

### setIncludeClassOrigin

    public void setIncludeClassOrigin(boolean include)

### getPropertyList

    public java.lang.String[] getPropertyList()

### setPropertyList

    public void setPropertyList(java.lang.String[] list)

### toXml

    public java.lang.String toXml(java.lang.Object obj)

  Returns a well-formed XML instance representing `obj`.
  Parameters:
    `obj` - A CIM object.
  Returns:
    String The XML representation of `obj`

### toXml

    public java.lang.String toXml(java.lang.Object obj,
                                  CIMObjectPath cop)

  Returns a well-formed XML instance representing `obj`.
  Parameters:
    `obj` - A CIM object.
    `cop` - The object path locating `obj`.
  Returns:
    String The XML representation of `obj`

### toXml

    public java.lang.String toXml(java.lang.Object obj,
                                  CIMObjectPath cop,
                                  java.lang.String host)

  Returns a well-formed XML instance representing `obj`.
  Parameters:
    `obj` - A CIM object.
    `cop` - The object path locating `obj`.
    `host` - The machine hosting the CIM object manager.
  Returns:
    String The XML representation of `obj`

### pcdata2Xml

    public com.sun.xml.tree.XmlDocument pcdata2Xml(java.lang.String pcdata)
                                            throws org.xml.sax.SAXException,
                                                   java.io.IOException

### xml2Pcdata

    public java.lang.String xml2Pcdata(com.sun.xml.tree.XmlDocument doc)
                                throws java.io.IOException

### setCIMName

    public void setCIMName(java.lang.String name)

### getCIMType

    public java.lang.String getCIMType(CIMDataType cdt)

### root

    public java.lang.String root(java.lang.String body)

### value

    public java.lang.String value(java.lang.String pcdata)

### value

    public java.lang.String value(java.lang.String[] pcdata)

### value

    public java.lang.String value(boolean value)

### value

    public java.lang.String value(CIMValue cv)

### value

    public java.lang.String value(CIMProperty cp)

### valueNamedInstance

    public java.lang.String valueNamedInstance(CIMInstance ci)

### valueNamedInstance

    public java.lang.String valueNamedInstance(CIMObjectPath name,
                                               CIMInstance ci)

### valueNamedObject

    public java.lang.String valueNamedObject(java.lang.Object obj)

### valueObjectWithPath

    public java.lang.String valueObjectWithPath(java.lang.Object obj)

### localObjectPath

    public java.lang.String localObjectPath(CIMObjectPath cop)

### objectName

    public java.lang.String objectName(CIMObjectPath cop)

### localNameSpacePath

    public java.lang.String localNameSpacePath(java.lang.String ns)

### localNameSpacePath

    public java.lang.String localNameSpacePath(CIMNameSpace cns)

### localNameSpacePath

    public java.lang.String localNameSpacePath(CIMObjectPath cop)

### className

    public java.lang.String className(java.lang.String name)

### instanceName

    public java.lang.String instanceName(CIMObjectPath cop)

### instanceName

    public java.lang.String instanceName(CIMInstance ci)

### objectPath

    public java.lang.String objectPath(CIMObjectPath cop)

### object

    public java.lang.String object(java.lang.Object obj)

### cimClass

    public java.lang.String cimClass(CIMClass cc)

### instance

    public java.lang.String instance(CIMInstance ci)

### qualifierDeclaration

    public java.lang.String qualifierDeclaration(CIMQualifierType qt)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD